## nq 0.3.1

=== Makefile ===
ALL=nq fq tq

CFLAGS=-g -Wall -O2

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

all: $(ALL)

clean: FRC
	rm -f nq fq

check: FRC all
	prove -v ./tests

install: FRC all
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1
	install -m0755 $(ALL) $(DESTDIR)$(BINDIR)
	install -m0644 $(ALL:=.1) $(DESTDIR)$(MANDIR)/man1

FRC:

## nq 0.2.1

=== debian/changelog ===
nq (0.2.1-1) unstable; urgency=medium

  * Initial packaging (Closes: #882567)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Fri, 24 Nov 2017 02:16:47 +0100

=== debian/control ===
Source: nq
Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Homepage: https://github.com/chneukirchen/nq
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nq.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/nq.git

Package: nq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight queue system
 These small utilities allow creating very lightweight job queue
 systems which require no setup, maintenance, supervision, or any
 long-running processes.
 .
 `nq` should run on any POSIX.1-2008 compliant system which also
 provides a working flock(2).  Tested on Linux 2.6.37, Linux 4.1,
 OpenBSD 5.7, FreeBSD 10.1, Mac OS X 10.3 and
 SmartOS joyent_20160304T005100Z.

## nq 0.2.2

=== debian/changelog ===
nq (0.2.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3
    * Update debian/copyright.
      Refer to the CC0-1.0 license file under /usr/share/common-licenses
    * Use an HTTPS format URI

  * Lintian overrides
    * Relocate to debian/source/
    * Rename debian-watch-may-check-gpg-signature

  * Ship upstream's changelog
  * Switch to debhelper 11
  * debian/rules: Remove spurious --parallel

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Tue, 13 Feb 2018 20:58:01 +0100

nq (0.2.2-1) unstable; urgency=medium

  * New upstream version (2017-12-21)
    * Fix an infinite loop in fq when `$NQDIR` is set and inotify is used.
      Thanks to Sebastian Reuße.
  * debian/changelog: Declared compliance with policy 4.1.2
    * No change needed
    * 4.1.3 compliance pending a base-files update containing the CC0 license
  * Silenced the debian-watch-could-verify-download Lintian warning
    Upstream releases signed git tags, and those are the signatures we check.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Fri, 05 Jan 2018 23:25:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), dh-exec
+Standards-Version: 4.1.3
 Homepage: https://github.com/chneukirchen/nq
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nq.git/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nq.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nq-$1\.tar\.gz/ \
  https://github.com/chneukirchen/nq/releases .*/v?(\d\S+)\.tar\.gz

## nq 0.3.1

=== debian/changelog ===
nq (0.3.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make
    Closes: #951530

  [ nicoo ]
  * Setup Salsa CI
  * d/changelog: Update nicoo's name and address
  * d/watch: Use upstream's canonical repository, at vuxu.org
  * d/copyright: Refer to upstream's canonical repo at vuxu.org
  * d/source: Drop unused lintian-overrides

 -- nicoo <nicoo@debian.org>  Mon, 02 Nov 2020 11:49:55 +0100

nq (0.3.1-3) unstable; urgency=medium

  * Upstream repository relocated to https://github.com/leahneukirchen
  * Update upstream's signing key
  * Update authorship information

  * debian/control
    + Update Homepage
    + debian/control: Declare compliance with policy v4.5.0.
    + debian/control: Declare compliance with policy v4.5.0.
      No change needed.

  * debian/gbp.conf
    + Move packaging branch to debian/sid, use DEP14
    + Fixup pristine-tar usage

  * debian/rules
    + Honor build flags (incl. hardening)
    + Fail build on dh_missing
    + Update to uscan v4, use git mode, check tag signature

 -- nicoo <nicoo@debian.org>  Sat, 15 Feb 2020 23:23:27 +0100

nq (0.3.1-2) unstable; urgency=low

  * Switch to debhelper 12.
    The compatibility level is now controlled through a Build-Depends

  * debian/gbp.conf
    + Commit upstream tarballs to pristine-tar.
    + Compress tarballs with xz.

  * debian/control
    + Comply with policy 4.3.0
      Set Rules-Requires-Root to no
    + Update Maintainer's email address

  * debian/copyright: Update Debian maintainer's copyright line

 -- nicoo <nicoo@debian.org>  Mon, 04 Mar 2019 21:55:59 +0100

nq (0.3.1-1) unstable; urgency=medium

  * New upstream version (2018-03-07)
  * Use dh_installchangelogs rather than dh_exec
  * Migrate the packaging repository to salsa.d.o

 -- nicoo <nicoo@debian.org>  Sat, 24 Mar 2018 00:24:56 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=configure)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
  https://git.vuxu.org/nq/ refs/tags/v(\d\S+)

## nq 1.0

=== Makefile ===
ALL=nq nqtail nqterm

CFLAGS=-g -Wall -O2

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

INSTALL=install

all: $(ALL)

clean: FRC
	rm -f nq nqtail

check: FRC all
	prove -v ./tests

install: FRC all
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL) -m0755 $(ALL) $(DESTDIR)$(BINDIR)
	$(INSTALL) -m0644 $(ALL:=.1) $(DESTDIR)$(MANDIR)/man1

FRC:

=== debian/changelog ===
nq (1.0-0.2) unstable; urgency=medium

  *  Replace /usr/bin/fq by /usr/bin/nqtail in debian/tests.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 22 Jul 2024 12:31:00 +0200

nq (1.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New upstream version (Closes: #1038937).
    - Incompatible change: The fq utility has been renamed to nqtail.
    - Incompatible change: The tq utility has been renamed to nqterm.
    This should solve the file conflict with the fq package
    (Closes: #1005961).

  * Bump Standards and dh compat version, no changes needed.
  * Add upstream metadata file.

  [ Christoph Biedl ]
  * Add autopkg test.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 06 Jul 2024 15:34:34 +0200

=== debian/control ===
Source: nq
Maintainer: nicoo <nicoo@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://git.vuxu.org/nq/about/
Vcs-Browser: https://salsa.debian.org/debian/nq
Vcs-Git: https://salsa.debian.org/debian/nq.git
Rules-Requires-Root: no

Package: nq
Architecture: any
Conflicts: fq
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight queue system
 These small utilities allow creating very lightweight job queue
 systems which require no setup, maintenance, supervision, or any
 long-running processes.
 .
 `nq` should run on any POSIX.1-2008 compliant system which also
 provides a working flock(2).  Tested on Linux 2.6.37, Linux 4.1,
 OpenBSD 5.7, FreeBSD 10.1, Mac OS X 10.3 and
 SmartOS joyent_20160304T005100Z.

=== debian/tests/control ===
Tests: run-testsuite
Depends: perl, @,
